Subject: Re: bug#25309: 11.89.8; multi-level script fontification stacks incorrectly

From: Tassilo Horn <[email-masked]>
Date: Sun, 01 Jan 2017 11:08:58 +0100

Uwe Brauer <[email-masked]> writes:

> I have 24.x,[1] but I have to change my init file because right now I
> obtain on start the following error: 
> Warning (emacs): Unable to activate package `with-editor'.

with-editor is used by magit, as far as I know.

> Required package `emacs-24.4' is unavailable
> Warning (initialization): An error occurred while loading `/home/oub/.emacs':
>
> Symbol's function definition is void: function-put

Yes, that's a new function in emacs 25.  That's probably because auctex
has been compiled with a more recent version of Emacs than the one you
are running right now.

Bye,
Tassilo